We're very excited to announce that - as of 5/16/2011 - BizTalk Terminator is an official Microsoft tool and is hosted at the Microsoft Download Center!
Go here to download it.  
  

 

Important info about Terminator:

  • Terminator ClickOnce Deployment is no longer available now that we have moved to the Microsoft Download Center
  • Terminator doesn’t care about the Windows version as long as the .NET framework is available
  • Terminator requires a minimum of .NET 2.0
  • Just because you’re logged in as a BTS Admin doesn’t mean all Terminator functionality will work for you. You need rights to read from registry on BTS box, make WMI calls, and make certain changes in BTS DBs that a BTS Admin can’t do. If you want to be sure you won’t run into any permissions issues, you may want to also be a local Admin on the BTS box and a SysAdmin within SQL.
  • Terminator recognizes and has tasks for BTS2004, BTS2006, BTS2006 R2, BTS2009, BTS2010, and BTS2013
  • Terminator supports and has been tested with SQL2000, SQL2005, SQL2008, SQL2008 R2, and SQL2012
  • If you try to run a task that uses WMI with Terminator remote to BTS when SQL is also remote to BTS, you’ll run into a double hop issue and get an error like the following:  “WMIAccess::workOnInstances: Login failed for user ‘NT AUTHORITY\ANONYMOUS LOGON’.”  This is a known issue and is due to WMI limitations and the fact that the BTS WMI namespace will only be installed on the BTS box.  So if you plan on using a WMI task, you will need to run Terminator on the BTS box itself when SQL is remote to BTS.  Also be sure to select the local BTS server in the BizTalkServer parameter dropdown.
  • BTS2004 runs on .NET 1.1 and you need a minimum of BTS2004 SP2 to safely install .NET 2.0 on the box so most BTS2004 users run Terminator remotely (as mentioned above, the only caveat is the WMI tab that needs to be run on the BTS box if SQL is remote)
  • To ensure that someone doesn’t download Terminator and continue to run the same version forever, the tool has a built-in timebomb that will disable the tool and ask the user to download the newer version.  If you get the “Terminator is out of date.  Please download a newer version” error when trying to run Terminator, simply go download the latest build and you’ll be back up and running.  Normally, it’s not such a big deal to make sure you have the latest version of a tool but since Terminator does directly make changes to your BTS databases – potentially production DBs – we do place more stress on using the latest build of the tool.
  • BE CAREFUL with this tool. If you are unsure about what a task does or if it’s right for your situation, thoroughly read the task documentation displayed when a task is selected. If you’re still unsure, don’t run it – contact MS support.
  • If you want more info on how/when to use Terminator, take a look at http://blogs.msdn.com/biztalkcpr/pages/using-biztalk-terminator-to-resolve-issues-identified-by-biztalk-msgboxviewer.aspx 
  • If you are having problems with Terminator and have verified that you are running the latest build, please contact Microsoft Support and we will help troubleshoot your issue.  Please have the BiztalkTerminator.log file (located at C:\temp) ready to provide the support engineer who assists you.